%global pypi_name markdown

Name:           python-%{pypi_name}
Version:        3.0.1
Release:        1%{?dist}
Summary:        Python implementation of Markdown

License:        BSD License
URL:            https://python-markdown.github.io/
Source0:        https://files.pythonhosted.org/packages/source/m/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%if 0%{?fedora} 
BuildRequires:  python2-devel
BuildRequires:  python2dist(setuptools)
BuildRequires:	python2dist(pyyaml)
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:	python3dist(pyyaml)
%else
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:	python-yaml
%{!?python2_sitearch: %global python2_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%endif

%description
This is a Python implementation of John Gruber's [Markdown][].
It is almost completely compliant with the reference implementation,
though there are a few known issues. See [Features][] for information
on what exactly is supported and what is not. Additional features are
supported by the [Available Extensions][].
%package -n     python2-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{pypi_name}}
 
Requires:       python2dist(setuptools)
%description -n python2-%{pypi_name}
This is a Python implementation of John Gruber's [Markdown][].
It is almost completely compliant with the reference implementation,
though there are a few known issues. See [Features][] for information
on what exactly is supported and what is not. Additional features are
supported by the [Available Extensions][].
%if 0%{?fedora}
%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3dist(setuptools)
%description -n python3-%{pypi_name}
This is a Python implementation of John Gruber's [Markdown][].
It is almost completely compliant with the reference implementation,
though there are a few known issues. See [Features][] for information
on what exactly is supported and what is not. Additional features are
supported by the [Available Extensions][].
%endif
%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py2_build
%if 0%{?fedora}
%py3_build
%endif

%install
# Must do the default python version install last because
# the scripts in /usr/bin are overwritten with every setup.py install.
%py2_install
%if 0%{?fedora}
%py3_install
%endif
#rm -rf %{buildroot}%{_bindir}/*

%check
%{__python2} setup.py test
%if 0%{?fedora}
%{__python3} setup.py test
%endif

%files -n python2-%{pypi_name}
%license LICENSE.md
%doc README.md
%{_bindir}/markdown_py
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/Markdown-%{version}-py?.?.egg-info
%if 0%{?fedora}
%files -n python3-%{pypi_name}
%license LICENSE.md
%doc README.md
%{_bindir}/markdown_py
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/Markdown-%{version}-py?.?.egg-info
%endif

%changelog
* Sat Mar 02 2019 Ruslan Pisarev <ruslan@rpisarev.org.ua> - 3.0.1-1
- Ported spec from OpenSuse
* Wed Jan  2 2019 badshah400@gmail.com
- Update to version 3.0.1:
  * Brought back the `version` and `version_info` variables
    (gh#Python-Markdown/markdown#709).
  * Added support for hexadecimal HTML entities
    (gh#Python-Markdown/markdown#712).
* Mon Dec 10 2018 Tomáš Chvátal <tchvatal@suse.com>
- Fix fdupes call
* Thu Oct 18 2018 Benoît Monin <benoit.monin@gmx.fr>
- update to version 3.0: major release
  * backwards-incompatible changes:
    + enable_attributes keyword deprecated
    + smart_emphasis keyword and smart_strong extension deprecated
    + output_formats simplified to html and xhtml
    + safe_mode and html_replacement_text keywords deprecated
    + Positional arguments deprecated
    + Extension name behavior has changed
    + Extension configuration as part of extension name deprecated
    + HeaderId extension deprecated
    + Homegrown OrderedDict has been replaced with a purpose-built
    Registry
    + Markdown class instance references
    + markdown.util.isBlockLevel deprecated
    + md_globals keyword deprecated from extension API
    + Added new, more flexible InlineProcessor class
  * new features:
    + a new testing framework is included as a part of the Markdown
    library, which can also be used by third party extensions
    + a new toc_depth parameter has been added to the Table of
    Contents Extension
    +  new toc_tokens attribute has been added to the Markdown class
    by the Table of Contents Extension
    + when the Table of Contents Extension is used in conjunction
    with the Attribute Lists Extension and a data-toc-label
    attribute is defined on a header, the content of the
    data-toc-label attribute is now used as the content of the
    Table of Contents item for that header
    + additional CSS class names can be appended to Admonitions
- update and adapt the patch for python-3.7:
  * add markdown-3.0-python37.patch
  * remove markdown-2.6.11-python37.patch
- run the tests via unittest discover
- remove nose from BuildRequires: not used anymore
* Tue Aug  7 2018 tchvatal@suse.com
- Add patch to build with python 3.7:
  * markdown-2.6.11-python37.patch
* Mon Mar 19 2018 tchvatal@suse.com
- Add build/runtime dependency over setuptools wrt bsc#1079287
- Remove python-devel dependency which is not really needed
* Fri Jan  5 2018 benoit.monin@gmx.fr
- update to version 2.6.11: bugfix release
  * Added a new BACKLINK-TITLE option to the footnote extension so
    that non-English users can provide a custom title to back links
    (see #610)
- additional changes from version 2.6.10: documentation update
- remove encoding conversion: fixed upstream
* Fri Aug 18 2017 benoit.monin@gmx.fr
- update to version 2.6.9: bugfix release
* Sun May  7 2017 benoit.monin@gmx.fr
- convert the package to singlespec
- call fdupes to fix duplicated files
- fix encoding of the single file with CR/LF:
  avoid python-bytecode-inconsistent-mtime in every other files
* Thu Jan 26 2017 benoit.monin@gmx.fr
- update to version 2.6.8: bugfix release
* Sat Sep 24 2016 benoit.monin@gmx.fr
- update to version 2.6.7: bugfix release
- change source url to files.pythonhosted.org
* Wed Mar 23 2016 benoit.monin@gmx.fr
- update to version 2.6.6: no upstream changelog
* Wed Nov 25 2015 benoit.monin@gmx.fr
- update to version 2.6.5: bugfix release
* Sat Nov  7 2015 benoit.monin@gmx.fr
- update to version 2.6.4: bugfix release
* Tue Oct 27 2015 benoit.monin@gmx.fr
- update to version 2.6.3: bugfix release
* Tue Apr 21 2015 benoit.monin@gmx.fr
- update to version 2.6.2: bugfix release
* Tue Mar 10 2015 benoit.monin@gmx.fr
- update to version 2.6.1: bugfix release
  The (new) yaml option has been removed from the Meta-Data
  Extension as it was buggy
* Fri Feb 20 2015 benoit.monin@gmx.fr
- update to version 2.6:
  * `safe_mode` Deprecated
  * Positional Arguments Deprecated
  * "Shortened" Extension Names Deprecated
  * Extension Configuration as Part of Extension Name Deprecated
  * HeaderId Extension Pending Deprecation
  * The `configs` Keyword is Deprecated
  * Official Support for PyPy
  * YAML Style Meta-Data
  * Table of Contents Extension Refactored
  * Pygments can now be disabled
  * Miscellaneous
* Mon Nov 24 2014 benoit.monin@gmx.fr
- update to version 2.5.2: bugfix release
* Fri Oct  3 2014 benoit.monin@gmx.fr
- update to version 2.5.1: bugfix release
* Tue Sep 16 2014 benoit.monin@gmx.fr
- update to version 2.5:
  * The force_linenos config key on the CodeHilite extension has
    been deprecated.
  * Both safe_mode and the associated html_replacement_text
    keywords will be deprecated in version 2.6.
  * Positional arguments on the markdown.Markdown() function are
    pending deprecation.
  * The builtin extensions did not require the full path to be
    provided. This behavior will be deprecated in version 2.6.
  * The previously documented method of appending the extension
    configs as a string to the extension name will be deprecated in
    version 2.6.
  * The Smarty extension has had a number of additional
    configuration settings added.
  * Named extensions can now point to any module and/or Class on
    your PYTHONPATH.
  * The extension configuration code has been refactored.
  * The command line interface now accepts a --extensions_config
    (or -c).
  * The amonition extension is no longer considered experimental.
  * Various bug fixes have been made.
- add python-PyYAML to BuildRequires: needed for tests
* Wed Jul  9 2014 i@marguerite.su
- fix conflicts with python3-Markdown
  * both use update-alternatives
* Mon May 26 2014 hpj@urpla.net
- disable tests for 11.1 and SLES 10 builds
* Mon Feb 17 2014 benoit.monin@gmx.fr
- update to version 2.4:
  * the "force_linenos" config setting of the CodeHilite extension
    has been marked as Deprecated.
  * URLs are no longer percent-encoded.
  * the Smarty Extension has been added, which implements
    SmartyPants.
  * the Table of Contents Extension now supports new permalink
    option for creating Sphinx-style anchor links.
  * it is now possible to enable Markdown formatting inside HTML
    blocks by appending `markdown=1` to opening tag attributes.
  * The code blocks now support emphasizing some of the code lines.
  * Various bug fixes have been made.
- fix CRLF in all files: upstream converted to DOS encoding
* Wed Jan 15 2014 benoit.monin@gmx.fr
- update to version 2.3.1:
  no changelog
- additional changes from version 2.3.0:
  * Support has been dropped for Python 2.5.
  * All classes are now "new-style" classes.
  * "safe_mode" has been further restricted.
  * The ids assigned to footnotes now contain a dash (`-`) rather
    than a colon (`:`) when `output_format` it set to "html5" or
    "xhtml5".
  * The "force_linenos" config setting of the CodeHilite extension
    has been marked as Pending Deprecation and a new setting
    "linenums" has been added to replace it.
  * The "RSS" extension has been removed.
  * The "HTML Tidy" Extension has been removed.
  * The entire code base now universally runs in Python 2 and
    Python 3 without any need for running the 2to3 conversion tool.
  * The Admonition Extension has been added.
  * Various bug fixes have been made.
- drop sed call to remove shebangs: fixed upstream
* Thu Nov 22 2012 saschpe@suse.de
- Update to version 2.2.1:
  + Python-Markdown 2.2.1 is a bug-fix release. No new features have been added.
    However, at least one bug fix does not work in Python 2.4 so that version of
    Python is no longer supported. For a full list of changes, see the git log.
* Mon Jul 23 2012 saschpe@suse.de
- Initial version
